Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Interface IDependencySituation

All Superinterfaces:
  ISituationType

All Known Implementing Classes:
  DependencySituationImpl

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public interface IDependencySituation
extends ISituationType

The DependencySituation deals with the situations that components produce to say that they cannot find some component or feature that they need. This category includes messages about not finding the ?version? of the component that was expected. Messages that say a resource was not found, or that an application or subsystem that was unavailable, also fall into this category. Existing messages include words like could not find, and no such component, for example: `WSVR0017E: Error encountered binding the J2EE resource, Pet Store JMS Queue Connection Factory, as jms/queue/QueueConnectionFactory from resources.xml no resource binder found`

Since:
  1.0.1
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite
See Also:
  `ISituationType`

Method Summary
`java.lang.String` | `getDependencyDisposition()` Deprecated. Returns the dependencyDisposition.
`void` | `setDependencyDisposition(java.lang.String dependencyDisposition)` Deprecated. Sets the dependencyDisposition.

Methods inherited from interface org.eclipse.hyades.logging.events.ISituationType
`getReasoningScope, init, setReasoningScope`

Method Detail

### getDependencyDisposition

    public java.lang.String getDependencyDisposition()

  Deprecated.
  Returns the dependencyDisposition. This property specifies the dependency disposition of a feature of a component that caused the situation to be reported. The featureDisposition is a string with the following set of values: MET NOT MET This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Returns:
    String The returned dependencyDisposition.
  Since:
    1.0.1

### setDependencyDisposition

    public void setDependencyDisposition(java.lang.String dependencyDisposition)

  Deprecated.
  Sets the dependencyDisposition. This property specifies the dependency disposition of a feature of a component that caused the situation to be reported. The featureDisposition is a string with the following set of values: MET NOT MET This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Parameters:
    `dependencyDisposition` - The dependencyDisposition to be set.
  Since:
    1.0.1

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD